
package com.artfess.base.attachment;

import com.artfess.base.model.ExtraProp;

/**
 * 附件实体接口
 * @company 阿特菲斯信息技术有限公司
 * @author:lj
 * @date:2018年6月13日
 */
public interface Attachment extends ExtraProp {

	public static final String SAVE_TYPE_FOLDER = "folder";
	public static final String SAVE_TYPE_FTP = "ftp";
	public static final String SAVE_TYPE_DTABASE = "database";
	public static final String SAVE_TYPE_ALIYUN_OSS = "aliyunOss";
	public static final String SAVE_TYPE_MINIO = "minio";
	public static final String SAVE_TYPE_HUAWEI = "huaweiObs";

	String getId();

    void setId(String id);

	String getStoreType();//存储类型

	String getExtensionName();/*扩展名*/

	String getFileName();/*文件名*/

	void setFileName(String fileName);

	Long  getByteCount();/*总字节数*/

	String getFilePath();/*文件路径*/

	byte[]  getBytes();/*文件二进制数据*/

	void setBytes(byte[] bytes);

	//设置文件名是否加密
	void setEntryptName(Boolean entryptName);
	//获取文件名是否加密
	Boolean getEntryptName();
	//设置文件路径
	void setFilePath(String filePath);

	void setBucket(String bucket);

	String getBucket();

	void setContentType(String contentType);

	String getContentType();
}
